/*
 * Fernando Pereira Silveira
 */

var servicoPreferencias = Components.classes["@mozilla.org/preferences-service;1"]
                                    .getService(Components.interfaces.nsIPrefBranch);

// Checks if the Array contains the element
function estaNaLista(elemento, lista)
{
	for (var indice in lista)
		if (lista[indice] == elemento)
			return true;

	return false;
}

// Checks if the Array is empty
function listaEstaVazia(lista)
{
	if (lista[0])
		return false;

	return true;
}

// Gets a boolean preference
function obterBooleana(preferencia)
{
	try
	{
		return servicoPreferencias.getBoolPref(preferencia);
	}
	catch (erro)
	{
		dump("Error getting boolean preference \""+preferencia+"\":\n"+erro+"\n\n");
		return null;
	}
}

// Gets a String preference
function obterString(preferencia)
{
	try
	{
		return servicoPreferencias.getComplexValue(preferencia,
		                                           Components.interfaces.nsISupportsString).data;
	}
	catch (erro)
	{
		dump("Error getting string preference \""+preferencia+"\":\n"+erro+"\n\n");
		return null;
	}
}

// Returns the String position inside the given Array
function posicaoNaLista(elemento, lista)
{
	var indice;
	var posicao = -1;

	for (indice in lista)
		if(lista[indice] == elemento)
			posicao = indice;

	return posicao;
}

// Sets a boolean preference
function salvarBooleana(preferencia, valor)
{
	try
	{
		servicoPreferencias.setBoolPref(preferencia, valor);
		return true;
	}
	catch (erro)
	{
		dump("Error saving boolean preference \""+preferencia+"\":\n"+erro+"\n\n");
		return false;
	}
}

// Sets a String preference
function salvarString(preferencia, valor)
{
	var stringComplexa = Components.classes["@mozilla.org/supports-string;1"]
	                               .createInstance(Components.interfaces.nsISupportsString);

	stringComplexa.data = valor;

	try
	{
		servicoPreferencias.setComplexValue(preferencia,
		                                    Components.interfaces.nsISupportsString, stringComplexa);
		return true;
	}
	catch (erro)
	{
		dump("Error saving string preference \""+preferencia+"\":\n"+erro+"\n\n");
		return false;
	}
}
